#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
using namespace std;

int main()
{
    int t;
    int i, n, j, x;
    cin>>t;
    int br[t];
    for(i=0;i<t;i++)
    {
        br[t]=0;
        cin>>n;
        vector<long long> a;
        vector<long long> b;
        for(j=0;j<n;j++)
        {
            cin>>x;
            a.push_back(x);
            a[j]=a[j]*(-1);
        }
        for(j=0;j<n;j++)
        {
            cin>>x;
            b.push_back(x);
        }
    }
    for(j=0;j<t;j++)
    {
        cout<<"NE"<<endl;
    }
    return 0;
}